## Fogbound Lagoon?
Fogbound Lagoon is an alternate Stage 3 which intends to bring a new experience to the game with its water mechanics, unique enemy pool, and atmosphere. It should fit in nicely with the other stages in the game stylistically and balance wise. This also serves as an example stage for (hopefully) any stages created in the future. 
___

![](https://imgur.com/xwHzyet.png)

## Features

- Support for non-DLC players and DLC players. The interactable and monster pools will change depending on if SoTV is enabled.
- Working newt statues. Three that are random and one that is garunteed.
- Preon Accumulator Timed Chest similar to Rallypoint Delta.
- Water! You can float and so will the gups! Don't Die! No it doesn't have Minecraft anti-fall damage. It doesn't have drowning either.
- A new (DLC dependent) family event!
- Theres a funny guy hidden somewhere.

### Later down the road...

- Some vfx changes to make the stage look prettier.
- Config options such as the DLC monster spawn pool being replaced by the normal one.
- Custom Music? Not sure yet.
- Bug fixes that crop up.
___

![](https://imgur.com/rZqHknK.png)

## Known Issues

- The water clipping certain vfx (specifically when they are coming out of the water into the water, and you are in the water) such as Xi Construct laser beam and Void Seeds.

## Changelog

[1.0.0]
- Initial Release!
___

![](https://imgur.com/6LzMJz2.png)

## Special Thanks and Credits

- IDeath - Creator of the node placer and lending me a hand on anything Addressable related.
- GrooveSalad - Code help and creator of the SlipDccs and SlipDccsPool extensions.
- Nebby - For being smarter than me and making RoR2Editor kit. Also he helped me learn code stuff so yeah.
- Dotflare - Never leaves me alone and forced me to allow him to model the bones on the bottom of the map. 
- pixlgray - Editor of the trailer.
- MoonlitWyvern - Helped me with footage for the trailer.
- Vaikyia - Playtesting, a player in the trailer, and a very chaotic person.
- Koopahunter197 / Iris - Playtesting, a player in the trailer, and made me remodel the beach.
- IbanPlay - Playtesting, a player in the trailer, and approval that my stage is good.
- Gavran - Playtesting and ripped a limb off my body each time Hank isn't networked.
- The rest of the Slipstream Team for being great devs and helping me do what I love to do. Thank you all so much.